BizKitHub
DocsAPI ReferenceProduct/bff/product/search-related-products
getProductAdmin BFF

/bff/product/search-related-products

Searches for products that can be added as related to the given product. Excludes the product itself. Returns up to 20 matching products.

ProductgetBffProductSearch-related-products

Parameters

2 query

Query parameters

· 2
productCodestringRequired

Product code to search related products for.

Examplemy-product
querystringRequired

Search query to filter potential related products by name, code, EAN, or description.

Exampleexample_query

Response schema

1 status code documented

200Success
itemsany[]Required

Matching products (same structure as product list items).

itemCountnumberRequired

Total matching products.

Response example

application/json
{
  "items": [],
  "itemCount": 0
}

Request example

GET /bff/product/search-related-products

get
curl -X GET "https://api.bizkithub.com/bff/product/search-related-products?productCode=my-product&query=example_query" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key